Loading...
Searching...
No Matches
libcamera::PipelineHandlerFactoryBase Class Referenceabstract

Base class for pipeline handler factories. More...

Inheritance diagram for libcamera::PipelineHandlerFactoryBase:
[legend]

## Public Member Functions

| PipelineHandlerFactoryBase (const char *name)
| Construct a pipeline handler factory base.
std::shared_ptr< PipelineHandler > | create (CameraManager *manager) const
| Create an instance of the PipelineHandler corresponding to the factory.
const std::string & | name () const
| Retrieve the factory name.

## Static Public Member Functions

static std::vector< PipelineHandlerFactoryBase * > & | factories ()
| Retrieve the list of all pipeline handler factories.
static const PipelineHandlerFactoryBase * | getFactoryByName (const std::string &name)
| Return the factory for the pipeline handler with name name.

## Detailed Description

Base class for pipeline handler factories.

The PipelineHandlerFactoryBase class is the base of all specializations of the PipelineHandlerFactory class template. It implements the factory registration, maintains a registry of factories, and provides access to the registered factories.

## Constructor & Destructor Documentation

## PipelineHandlerFactoryBase()

libcamera::PipelineHandlerFactoryBase::PipelineHandlerFactoryBase | ( | const char * | name | ) |

Construct a pipeline handler factory base.

Parameters

  [in] | name | Name of the pipeline handler class

Creating an instance of the factory base registers it with the global list of factories, accessible through the factories() function.

The factory name is used for debug purpose and shall be unique.

## Member Function Documentation

## create()

std::shared_ptr< PipelineHandler > libcamera::PipelineHandlerFactoryBase::create | ( | CameraManager * | manager | ) | const

Create an instance of the PipelineHandler corresponding to the factory.

Parameters

  [in] | manager | The camera manager

Returns
  A shared pointer to a new instance of the PipelineHandler subclass corresponding to the factory

## factories()

std::vector< PipelineHandlerFactoryBase * > & libcamera::PipelineHandlerFactoryBase::factories | ( |  | ) |

static

Retrieve the list of all pipeline handler factories.

Returns
  the list of pipeline handler factories

## getFactoryByName()

const PipelineHandlerFactoryBase * libcamera::PipelineHandlerFactoryBase::getFactoryByName | ( | const std::string & | name | ) |

static

Return the factory for the pipeline handler with name name.

Parameters

  [in] | name | The pipeline handler name

Returns
  The factory of the pipeline with name name, or nullptr if not found

## name()

const std::string & libcamera::PipelineHandlerFactoryBase::name | ( |  | ) | const

inline

Retrieve the factory name.

Returns
  The factory name

The documentation for this class was generated from the following files:

- include/libcamera/internal/pipeline_handler.h
- src/libcamera/pipeline_handler.cpp